<template>
  <header-m-main
    :theme-properties="themeProperties"
    :auth="authentication"
    :actived-tab="included"
  />
</template>

<script setup lang="ts">
import _ from "lodash";
import { store } from "@/store";

const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const authentication = computed(() => store.state.auth);
const route = useRoute();
const gameLobby: Array<string> = [
  "sports",
  "virtualsports",
  "livecasino",
  "games",
  "keno",
  "cockfight",
  "lottery",
  "poker",
];
const tabSelectedLobby = computed(() =>
  _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
);
const activedTab = computed(() =>
  tabSelectedLobby.value !== "" ? tabSelectedLobby.value : "Home"
);
const included = computed(() =>
  _.includes(gameLobby, _.toLower(activedTab.value))
);
</script>

<style scoped></style>
